OpenJPEG 2.3.0

Data Structures | Typedefs
pi.h File Reference

Implementation of a packet iterator (PI) More...

Go to the source code of this file.

## Data Structures
struct | opj_pi_resolution
| FIXME DOC. More...
struct | opj_pi_comp
| FIXME DOC. More...
struct | opj_pi_iterator
| Packet iterator. More...

## Typedefs
typedef struct opj_pi_resolution | opj_pi_resolution_t
| FIXME DOC. More...
typedef struct opj_pi_comp | opj_pi_comp_t
| FIXME DOC. More...
typedef struct opj_pi_iterator | opj_pi_iterator_t
| Packet iterator. More...

## Functions
Exported functions
opj_pi_iterator_t * | opj_pi_initialise_encode (const opj_image_t *image, opj_cp_t *cp, OPJ_UINT32 tileno, J2K_T2_MODE t2_mode)
| Creates a packet iterator for encoding. More...
void | opj_pi_update_encoding_parameters (const opj_image_t *p_image, opj_cp_t *p_cp, OPJ_UINT32 p_tile_no)
| Updates the encoding parameters of the codec. More...
void | opj_pi_create_encode (opj_pi_iterator_t *pi, opj_cp_t *cp, OPJ_UINT32 tileno, OPJ_UINT32 pino, OPJ_UINT32 tpnum, OPJ_INT32 tppos, J2K_T2_MODE t2_mode)
| Modify the packet iterator for enabling tile part generation. More...
opj_pi_iterator_t * | opj_pi_create_decode (opj_image_t *image, opj_cp_t *cp, OPJ_UINT32 tileno)
| Create a packet iterator for Decoder. More...
void | opj_pi_destroy (opj_pi_iterator_t *p_pi, OPJ_UINT32 p_nb_elements)
| Destroys a packet iterator array. More...
OPJ_BOOL | opj_pi_next (opj_pi_iterator_t *pi)
| Modify the packet iterator to point to the next packet. More...

## Detailed Description

Implementation of a packet iterator (PI)

The functions in PI.C have for goal to realize a packet iterator that permits to get the next packet following the progression order and change of it. The functions in PI.C are used by some function in T2.C.